Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class PropertyPathFullBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          org.codehaus.groovy.binding.PropertyPathFullBinding

All Implemented Interfaces:
  PropertyChangeListener

    class PropertyPathFullBinding
    extends AbstractFullBinding

A property path full binding

Field Summary
`BindPath[]` | `bindPaths` The root set of bind paths we are initested in
`boolean` | `bound` If we think we are currently bound
`Set` | `updateObjects` The set of all objects where a property change does incur a listener-re-check

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`PropertyPathFullBinding()`

Method Summary
`void` | `bind()`
`void` | `propertyChange(PropertyChangeEvent evt)`
`void` | `rebind()`
`void` | `unbind()`

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### bindPaths

    BindPath[] bindPaths

  The root set of bind paths we are initested in

### bound

    boolean bound

  If we think we are currently bound

### updateObjects

    Set updateObjects

  The set of all objects where a property change does incur a listener-re-check

Constructor Detail

### PropertyPathFullBinding

    PropertyPathFullBinding()

Method Detail

### bind

    public void bind()

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

### rebind

    public void rebind()

### unbind

    public void unbind()

Copyright © 2003-2009 The Codehaus. All rights reserved.